unit CameraSize;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls, ExtCtrls;

type
  TSizeCamera = class(TForm)
    Panel1: TPanel;
    edW: TEdit;
    Label1: TLabel;
    edH: TEdit;
    SpeedButton2: TSpeedButton;
    SpeedButton1: TSpeedButton;
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    function GetH: integer;
    function GetW: integer;
    procedure SetH(const Value: integer);
    procedure SetW(const Value: integer);
    { Private declarations }
  public
    { Public declarations }
    property W: integer read GetW write SetW;
    property H: integer read GetH write SetH;
  end;

var
  SizeCamera        : TSizeCamera;

implementation

{$R *.DFM}

procedure TSizeCamera.SpeedButton2Click(Sender: TObject);
begin
  ModalResult := mrOK;
end;

procedure TSizeCamera.SpeedButton1Click(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

function TSizeCamera.GetH: integer;
begin
  Result := StrToInt(edH.Text);
end;

function TSizeCamera.GetW: integer;
begin
  Result := StrToInt(edW.Text);
end;

procedure TSizeCamera.SetH(const Value: integer);
begin
  edH.Text := IntToStr(Value);
end;

procedure TSizeCamera.SetW(const Value: integer);
begin
  edW.Text := IntToStr(Value);
end;

procedure TSizeCamera.FormShow(Sender: TObject);
begin
  edW.SetFocus;
end;

end.
